| Home | Libraries | People | FAQ | More

## Struct str

boost::xpressive::op::str

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct str {
      // member classes/structs/unions
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Sub>
      struct result<This(Sub)> {
        // types
        typedef remove_reference< Sub >::type::string_type type;
      };

      // public member functions
      template<typename Sub> Sub::string_type operator()(Sub const &) const;
    };

## Description

### `str` public member functions

1.     template<typename Sub> Sub::string_type operator()(Sub const & sub) const;